#!/usr/bin/env ruby
# coding: utf-8

require 'csv'
data = CSV.read("kensaku.csv", headers: true)

puts "学校で探す:1"
puts "金額で探す:2"
print "どれにしますか:"
sel = gets.to_i
if sel == 1
 print "探したい学校名を入れてください:"
 ptn = Regexp.new(gets.chomp)
 data.each do |row|
  if ptn =~ row["gakko"]
   printf("%sさんは%s%s年です\n", row["name"], row["gakko"], row["gakunen"])
  end
 end

elsif sel == 2
 print "絞り込みたい金額を入れてください:"
 gaku = gets.to_i
 data.each do |row|
  if gaku < row["kozukai"].to_i
   printf("%sさんは%d円もらっています\n", row["name"], row["kozukai"].to_i)
  end
 end

else
 printf("%d番はありません。さようなら。\n", sel)
end
